{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ADR_CIVILITE; 
            externalType = VARCHAR2; 
            name = adrCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_NOM; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_ORDRE_PARENT; 
            externalType = NUMBER; 
            name = adrOrdreParent; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_ORDRE_SCOL; 
            externalType = NUMBER; 
            name = adrOrdreScol; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "adrNom||' '||adrPrenom||decode(etudNomMarital,'','',' \335pouse '||etudNomMarital)"; 
            externalType = VARCHAR2; 
            name = adrPatronymie; 
            valueClassName = NSString; 
            width = 350; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_PRENOM; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_PRENOM2; 
            externalType = VARCHAR2; 
            name = adrPrenom2; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = CPT_ORDRE; 
            externalType = NUMBER; 
            name = cptOrdre; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_CODE_INE; 
            externalType = VARCHAR2; 
            name = etudCodeIne; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_NOM_MARITAL; 
            externalType = VARCHAR2; 
            name = etudNomMarital; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdipAbreviation; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_MENTION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_ABREVIATION; }; 
            name = fdipMention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_SPECIALITE; 
            externalType = VARCHAR2; 
            name = fdipSpecialite; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDOM_CODE; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = FGRA_CODE; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            definition = "UPPER(FGRA_CODE)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "UPPER(FGRA_CODE)"; }; 
            name = fgraCodeUpper; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            definition = "fdipAbreviation||DECODE(fspnLibelle,NULL,NULL,' - '||fspnLibelle)"; 
            externalType = VARCHAR2; 
            name = fspnDiplome; 
            valueClassName = NSString; 
            width = 400; 
        }, 
        {
            allowsNull = Y; 
            definition = "UPPER(fdipAbreviation||DECODE(fspnLibelle,NULL,NULL,' - '||fspnLibelle))"; 
            externalType = VARCHAR2; 
            name = fspnDiplomeUpper; 
            valueClassName = NSString; 
            width = 400; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FSPN_ABREVIATION; }; 
            name = fspnLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = HIST_NUMERO; 
            externalType = NUMBER; 
            name = histNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_ANNEE_SUIVIE; 
            externalType = NUMBER; 
            name = idiplAnneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "nvl(IDIPL_DATE_DEMISSION,IDIPL_DATE_INSC)"; 
            externalType = DATE; 
            name = idiplDate; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_DATE_DEMISSION; 
            externalType = DATE; 
            name = idiplDateDemission; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_DATE_INSC; 
            externalType = DATE; 
            name = idiplDateInsc; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "decode(IDIPL_PASSAGE_CONDITIONNEL,'O','O',' ')"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = IDIPL_PASSAGE_CONDITIONNEL; }; 
            name = idiplPassage; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = IDIPL_PASSAGE_CONDITIONNEL; 
            externalType = VARCHAR2; 
            name = idiplPassageConditionnel; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(IDIPL_REDOUBLANT,'N','',IDIPL_REDOUBLANT)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "decode(nvl(idiplBase,'X'),'X','X',null)"; }; 
            name = idiplRedoublant; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            definition = "decode(nvl(to_char(IETUD_BASE),'X'),'X',null,'O')"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "decode(nvl(idiplBase,'X'),'X','X',null)"; }; 
            name = idiplRegimeSpecial; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            definition = "decode(RES_CODE,'D','DEMISSIONNAIRE','W','INCIDENT PAIEMENT','Z','ANNULATION','#','NON INSCRIT ADM','1','D\335part R\335orientation','2','Arriv\335e R\335orientation',decode(IDIPL_TYPE_INSCRIPTION,0,'Insc.Principale',1,'Cumulatif',2,'Auditeur Libre',3,'Insc.Compl\335mentaire',4,'Ech.International',''))"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = idiplResultat; 
            valueClassName = NSString; 
            width = 25; 
        }, 
        {
            definition = "decode(IDIPL_TYPE_INSCRIPTION,0,'Insc.Principale ; ',1,'Cumulatif ; ',2,'Auditeur Libre ; ',3,'Insc.Compl\335mentaire ; ',4,'Ech.International ; ','')||decode(RES_CODE,'D','DEMISSION','E','EXCLUSION','W','INCIDENT PAIEMENT','Z','ANNULATION','#','NON INSCRIT ADM','1','D\335part R\335orientation','2','Arriv\335e R\335orientation','')\015\n"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = idiplResultatPlus; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_TYPE_INSCRIPTION; 
            externalType = NUMBER; 
            name = idiplTypeInscription; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_BASE; 
            externalType = NUMBER; 
            name = ietudBase; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IETUD_ETAT; 
            externalType = NUMBER; 
            name = ietudEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_KEY; 
            externalType = NUMBER; 
            name = ietudKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IETUD_MENTION1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = IETUD_MENTION1; }; 
            name = ietudMention1; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IETUD_MENTION2; 
            externalType = NUMBER; 
            name = ietudMention2; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_MOYENNE1; 
            externalType = NUMBER; 
            name = ietudMoyenne1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_MOYENNE2; 
            externalType = NUMBER; 
            name = ietudMoyenne2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IETUD_PONDERATION; 
            externalType = NUMBER; 
            name = ietudPonderation; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IETUD_POURCENTAGE1; 
            externalType = NUMBER; 
            name = ietudPourcentage1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IETUD_POURCENTAGE2; 
            externalType = NUMBER; 
            name = ietudPourcentage2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_RANG; 
            externalType = NUMBER; 
            name = ietudRang; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MPAR_KEY; 
            externalType = NUMBER; 
            name = mparKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "decode(RES_CODE,'C',RES_CODE||IETUD_ETAT,RES_CODE)"; 
            externalType = VARCHAR2; 
            name = resAffichage; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = RES_CODE; 
            externalType = VARCHAR2; 
            name = resCode; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fannKey, idiplNumero); 
    className = EOGenericRecord; 
    classProperties = (
        fannKey, 
        etudNumero, 
        histNumero, 
        idiplNumero, 
        noIndividu, 
        persId, 
        ietudKey, 
        adrOrdreScol, 
        adrOrdreParent, 
        cptOrdre, 
        adrCivilite, 
        adrNom, 
        adrPrenom, 
        adrPrenom2, 
        etudNomMarital, 
        fdipCode, 
        fspnKey, 
        mparKey, 
        fdomCode, 
        fgraCode, 
        fdipMention, 
        fspnLibelle, 
        idiplAnneeSuivie, 
        idiplTypeInscription, 
        idiplPassageConditionnel, 
        idiplDateInsc, 
        idiplDateDemission, 
        resCode, 
        ietudEtat, 
        ietudMention1, 
        ietudMoyenne1, 
        ietudPourcentage1, 
        ietudMention2, 
        ietudMoyenne2, 
        ietudPourcentage2, 
        ietudBase, 
        ietudPonderation, 
        ietudRang, 
        idiplDate, 
        idiplPassage, 
        idiplRedoublant, 
        idiplRegimeSpecial, 
        idiplResultat, 
        resAffichage, 
        fdipSpecialite, 
        toScolMaquetteParcours, 
        fdipAbreviation, 
        toScolFormationAnnee, 
        fspnDiplome, 
        fgraCodeUpper, 
        fspnDiplomeUpper, 
        adrPatronymie, 
        etudCodeIne, 
        toGrhumAdresseScol, 
        toGrhumAdresseParent, 
        toGrhumEtudiant, 
        toGarnucheHistorique, 
        idiplResultatPlus, 
        toGrhumCompte
    ); 
    externalName = SCOL_INSCRIPTION_ETUDIANT; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionEtudiant; 
    primaryKeyAttributes = (fannKey, idiplNumero); 
    relationships = (
        {
            destination = GarnucheHistorique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = histNumero; sourceAttribute = histNumero; }); 
            name = toGarnucheHistorique; 
        }, 
        {
            destination = GrhumAdresse; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdreParent; }); 
            name = toGrhumAdresseParent; 
        }, 
        {
            destination = GrhumAdresse; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdreScol; }); 
            name = toGrhumAdresseScol; 
        }, 
        {
            destination = GrhumCompte; 
            internalInfo = {_nameInObjectStore = toGrhumComptes; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = toGrhumCompte; 
        }, 
        {
            destination = GrhumEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = etudNumero; }); 
            name = toGrhumEtudiant; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteParcours; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = mparKey; sourceAttribute = mparKey; }); 
            name = toScolMaquetteParcours; 
        }
    ); 
}
